/**
 * author : Serge ROSMORDUC
 * This file is distributed according to the LGPL (GNU lesser public license)
 */
package siteMarchand.dao;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

/**
 * @author rosmord
 *
 */
public class DBConnexion {
	private String url;
	private String login;
	private String password;
	
	private Connection connection;
	

	public DBConnexion() {
		this.url = "jdbc:hsqldb:file:/home/rosmord/articles";
		this.login = "sa";
		this.password = "";
	}
	
	
	public DBConnexion(String url, String login, String password) {
		this.url = url;
		this.login = login;
		this.password = password;
	}

	/**
	 * @return Returns the connection.
	 * @throws ClassNotFoundException 
	 * @throws SQLException 
	 */
	public Connection getConnection() throws ClassNotFoundException, SQLException {
		if (connection == null) {
			Class.forName("org.hsqldb.jdbcDriver");
			connection= DriverManager.getConnection(url,login,password);
		}
		return connection;
	}
	
	public void close() throws SQLException {
		if (connection != null)
		{
			connection.close();
			connection= null;
		}
	}
}
