/**
 * author : Serge ROSMORDUC
 * This file is distributed according to the LGPL (GNU lesser public license)
 */
package siteMarchand.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import siteMarchand.dto.Facture;
import siteMarchand.dto.LigneFacture;

/**
 * @author rosmord
 *
 */
public class FactureDAO {
	public void createFacture(Facture f) throws SQLException, ClassNotFoundException{
		DBConnexion c= new DBConnexion();
		Connection db = c.getConnection();
		PreparedStatement pst= db.prepareStatement("insert into Facture values (?,?)");
		pst.setInt(1, f.getIdFacture());
		pst.setString(2, f.getAdresse());
		pst.executeUpdate();
		pst.close();
		
		pst= db.prepareStatement("insert into LigneFacture values (?,?,?)");
		pst.setInt(1, f.getIdFacture());
		for (int i=0; i < f.getLignes().size(); i++) {
			LigneFacture l= (LigneFacture) f.getLignes().get(i);
			pst.setInt(2, l.getArticle().getIdArticle());
			pst.setInt(3, l.getQuantite());
			pst.executeUpdate();
		}
		pst.close();
		c.close();
	}
	
	public Facture getFacture(int id) {
		Facture f= null;
		return f;
	}

	/**
	 * @return
	 * @throws SQLException 
	 * @throws ClassNotFoundException 
	 */
	public int getMaxIdFacture() throws ClassNotFoundException, SQLException {
		int result= 1;
		DBConnexion c= new DBConnexion();
		Connection db = c.getConnection();
		Statement st= db.createStatement();
		ResultSet r = st.executeQuery("select max(idFacture) from Facture");
		if (r.next()) {
			result= r.getInt(1);
		}
		st.close();
		c.close();
		return result;
	}
	
	
}
