/**
 * author : Serge ROSMORDUC
 * This file is distributed according to the LGPL (GNU lesser public license)
 */
package siteMarchand.dto;

/**
 * @author rosmord
 *
 */
public class LigneFacture {
	private int quantite;
	private Article article;
	
	
	public LigneFacture(Article article, int quantite) {
		this.article = article;
		this.quantite = quantite;
	}
	
	/**
	 * @return Returns the article.
	 */
	public Article getArticle() {
		return article;
	}
	/**
	 * @param article The article to set.
	 */
	public void setArticle(Article article) {
		this.article = article;
	}
	/**
	 * @return Returns the quantite.
	 */
	public int getQuantite() {
		return quantite;
	}
	/**
	 * @param quantite The quantite to set.
	 */
	public void setQuantite(int quantite) {
		this.quantite = quantite;
	}
	
}
