package siteMarchand.ui;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import siteMarchand.dao.FactureDAO;
import siteMarchand.dto.Facture;

/**
 * Servlet implementation class for Servlet: ValiderCommande
 *
 */
 public class ValiderCommande extends javax.servlet.http.HttpServlet implements javax.servlet.Servlet {
    /* (non-Java-doc)
	 * @see javax.servlet.http.HttpServlet#HttpServlet()
	 */
	public ValiderCommande() {
		super();
	}   	
	
	/* (non-Java-doc)
	 * @see javax.servlet.http.HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doPost(request, response);
	}  	
	
	/* (non-Java-doc)
	 * @see javax.servlet.http.HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// Page suivante
		String nextURL= "";
		// Rcuprer la commande
		HttpSession session = request.getSession(true);
		Facture f= (Facture) session.getAttribute("facture");
		String adresse= request.getParameter("adresse");
		if (f==null) {
			// Il n'y a rien  valider !!!
			request.setAttribute("message", "Aucun produit n'est command !");
			nextURL= "/message.jsp";
		} else {
			try {
				FactureDAO dao= new FactureDAO();
				if (adresse != null) {
					f.setAdresse(adresse);
				}
				f.setIdFacture(dao.getMaxIdFacture() + 1);
				dao.createFacture(f);
				request.setAttribute("message", "facture valide !");
				nextURL= "/message.jsp";
				// On supprime la facture pour viter une double facturation
				session.removeAttribute("facture");
			} catch (Exception exception) {
				throw new ServletException(exception);
			}
		}
		RequestDispatcher dispatcher= getServletContext().getRequestDispatcher(nextURL);
		dispatcher.forward(request, response);
	}   	  	    
}