package siteMarchand.ui;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import siteMarchand.dao.ArticleDAO;
import siteMarchand.dto.Article;
import siteMarchand.dto.Facture;

/**
 * Servlet implementation class for Servlet: CommandeServlet
 *
 */
 public class CommandeServlet extends javax.servlet.http.HttpServlet implements javax.servlet.Servlet {
    /* (non-Java-doc)
	 * @see javax.servlet.http.HttpServlet#HttpServlet()
	 */
	public CommandeServlet() {
		super();
	}   	
	
	/* (non-Java-doc)
	 * @see javax.servlet.http.HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doPost(request, response);
	}  	
	
	/* (non-Java-doc)
	 * @see javax.servlet.http.HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		try {
			// Lecture des donnes
			int idArticle= Integer.parseInt(request.getParameter("idArticle"));
			// Rcupration du bean :
			HttpSession session = request.getSession(true);
			Facture f= (Facture) session.getAttribute("facture");
			if (f== null)
			{
				f= new Facture();
				session.setAttribute("facture", f);
			}
			// Ajout de l'article
			Article a= new ArticleDAO().getArticle(idArticle);
			f.addCommand(a,1);
			// Retour  la page (Attention : ici, les adresses des pages sont donnes relativement au rpertoire de la servlet)
			String url= "/articles.jsp";
			RequestDispatcher dispatcher= getServletContext().getRequestDispatcher(url);
			dispatcher.forward(request, response);
		} catch (Exception exception) {
			throw new ServletException(exception);
		}
		
	}   	  	    
}